# Show Survey Welcome Message

Any survey usually starts off getting straight to the point. You can have the survey instead start with a simple welcome message. To enable the welcome message, you can use this API.

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
Surveys.shouldShowWelcomeScreen = true
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
LCQSurveys.shouldShowWelcomeScreen = YES;
```

{% endtab %}

{% tab title="And - Java" %}

```java
Surveys.setShouldShowWelcomeScreen(true);
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
Surveys.setShouldShowWelcomeScreen(true);
```

{% endtab %}

{% tab title="RN" %}

```javascript
Surveys.setShouldShowWelcomeScreen(true);
```

{% endtab %}

{% tab title="Flutter" %}

```dart
Surveys.setShouldShowWelcomeScreen(true);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/references/in-app-surveys/show-survey-welcome-message.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
